void printc(char val);

int main()
{
  char i, j, val, val2, val3;

  for (i = -2; i < 3; i++)
    for (j = -2; j < 3; j++) {
      val2 = i;
      val3 = j;
      val = ++val2, ++val3;
      printc(val);
      printc(val2);
      printc(val3);
      val2 = i;
      val3 = j;
      val = (++val2, ++val3);
      printc(val);
      printc(val2);
      printc(val3);
    }

  return 0;
}
